Skip to content

Results are limited to the current section: Cloud services

Product news

Get Ovh Usage Report

GET
/api/v1/third-party-access/ovh/usage
curl --request GET \
--url 'https://example.com/api/v1/third-party-access/ovh/usage?report_start=2026-04-15T12%3A00%3A00Z&report_end=2026-04-15T12%3A00%3A00Z&limit=100&offset=0' \
--header 'Authorization: Bearer <token>'

Get usage report for OVH users for a given time period.

report_start
required
Report Start

Start of the report period

string format: date-time

Start of the report period

report_end
required
Report End

End of the report period

string format: date-time

End of the report period

name
Any of:
string

Notebook id

limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0

Successful Response

Media typeapplication/json
HeaderPaginatedResponse[ThirdPartyUsersTimeUsage]
object
status
JSendStatus
string
default: success
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ThirdPartyUsersTimeUsage
object
id
required
Id
string
time_usage
required
Time Usage
integer
price
required
Price
number
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{
"status": "success",
"message": "OK.",
"code": "200"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}